Package org.jfree.report.modules.gui.swing.preview

# Class CategoryTreeItem

java.lang.Object
org.jfree.report.modules.gui.swing.preview.CategoryTreeItem

All Implemented Interfaces:
  `Comparable`

public class CategoryTreeItem extends Object implements Comparable
Creation-Date: 01.12.2006, 20:01:32

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`CategoryTreeItem(ActionCategory category)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(CategoryTreeItem item)`
`int`
`compareTo(Object o)`
Compares this object with the specified object for order.
`ActionCategory`
`getCategory()`
`CategoryTreeItem[]`
`getChilds()`
`String`
`getName()`
`CategoryTreeItem`
`getParent()`
`void`
`setParent(CategoryTreeItem parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CategoryTreeItem

public CategoryTreeItem(ActionCategory category)

## Method Details

### getName

public String getName()

### getParent

public CategoryTreeItem getParent()

### setParent

public void setParent(CategoryTreeItem parent)

### getCategory

public ActionCategory getCategory()

### add

public void add(CategoryTreeItem item)

### getChilds

public CategoryTreeItem[] getChilds()

### compareTo

public int compareTo(Object o)
Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

Specified by:
  `compareTo` in interface `Comparable`
Parameters:
  `o` - the Object to be compared.
Returns:
  a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
Throws:
  `ClassCastException` - if the specified object's type prevents it from being compared to this Object.